/* ----------------------------------------
1) General layout
---------------------------------------- */

html.flexbox body {
	box-sizing: border-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: -webkit-box;
	display: flex;
	min-height: 100vh;
	flex-direction: column;
}

body,
body .ui-widget:not(.pi),
body .ui-widget .ui-widget:not(.pi),
.btn {
	font-size: 15px;
}

html.flexbox .site-header,
html.flexbox .site-nav,
html.flexbox .site-footer {
    -webkit-flex: 0 0 auto;
	-ms-flex: 0 0 auto;
	flex: 0 0 auto;
}

html.flexbox .site-content {
	-webkit-flex: 1;
	-ms-flex: 1;
	flex: 1;
}

body {
	background-color: #333333;
	overflow-x: hidden;
}

main {
	background-color: #ffffff;
	padding: 15px;
}

.sidebar {
	list-style: none;
	padding-left: 0;
}

.sidebar a {
	color: rgba(255, 255, 255, 0.75);
}

.sidebar li.active a,
.sidebar a:hover,
.sidebar a:focus {
	color: #ffffff;
}

.sidebar li.active {
	background-color: rgba(255, 255, 255, 0.1);
}

.sidebar li {
	box-shadow: 0 3px 4px -2px rgba(0, 0, 0, 0.25);
}

.navbar-brand {
	transition: margin 0.5s;
}

nav.sticky-top {
	transition: opacity 0.5s, box-shadow 0.5s;
}

nav.sticky-top.sticked {
	-webkit-box-shadow: 0 3px 10px -5px rgba(0, 0, 0, 0.5);
	box-shadow: 0 3px 10px -5px rgba(0, 0, 0, 0.5);
	opacity: 0.99;
}

nav.site-nav,
footer.site-footer {
	background-color: #343a40;
}

.sidebar {
	background-color: #343a40;
}

.site-footer {
	padding-top: 30px;
	padding-bottom: 30px;
}

/* ----------------------------------------
02) General classes
---------------------------------------- */

.nowrap {
	white-space: nowrap;
}

/* ----------------------------------------
03) Forms
---------------------------------------- */

.buttonRow {
	overflow: hidden;
}

.buttonRow button,
.buttonRow .btn,
.buttonRow input[type="button"],
.buttonRow input[type="submit"] {
	margin-right: 10px;
}

.buttonRow button:last-child,
.buttonRow .btn:last-child,
.buttonRow input[type="button"]:last-child,
.buttonRow input[type="submit"]:last-child {
	margin-right: initial;
}

.form-group > label {
	font-weight: bold;
}

body .ui-button.ui-button-text-icon-left .ui-icon.mdi {
	transform: translate(-2px, -4px);
}

/* ----------------------------------------
05.1) Fieldset
---------------------------------------- */

body .ui-fieldset-toggleable .ui-fieldset-legend {
	/*color: #85ADC7;*/
	font-size: 14px;
	font-weight: bold;
	border-radius: 0 !important;
}

body .ui-fieldset .ui-fieldset-legend {
	font-size: 1em;
	font-weight: bold;
	margin: 10px 0;
	width: auto;
	/*background-color: #85ADC7 !important;
	color: #061F33;*/
}

body .ui-fieldset .ui-fieldset-toggler {
	margin-top: 2px;
	margin-right: 4px;
}

/* ----------------------------------------
05.3) Data table
---------------------------------------- */

body .ui-datatable > div > table {
	table-layout: auto;
}

body .ui-datatable td.maxWidth {
	width: 100%;
}

.hide-column-names > thead > tr,
.hide-column-names table thead tr {
    display: none;
}

body .ui-datatable .ui-state-highlight a {
	color: #ffffff;
}

body .ui-datatable .ui-datatable-header,
body .ui-datatable th.ui-state-default {
	/*background: #85ADC7;
	color: #061F33;*/
	font-size: 16px;
	font-weight: bold;
	border-radius: 0 !important;
	border-color: #c8c8c8;
}

/*body .ui-datatable .ui-datatable-header,
body .ui-datatable .ui-datatable-footer {
	background: #85ADC7;
}

body .ui-datatable thead th.ui-state-hover {
	background-color: #85ADC7;
	color: #061F33;
}*/

th.datatable-drag-handle,
td.datatable-drag-handle {
	width: 15px !important;
	padding: 0 6px 0 6px !important;
	border-right: none !important;
}

tbody td.datatable-drag-handle {
	cursor: move;
	cursor: grab;
	vertical-align: middle;
	text-align: center;
	-webkit-box-shadow: inset -6px 0 5px -7px rgba(0, 0, 0, 0.5);
	box-shadow: inset -6px 0 5px -7px rgba(0, 0, 0, 0.5);
}

td.datatable-drag-handle + td,
th.datatable-drag-handle + th {
	border-left: none !important;
	padding-left: 6px;
}

th.datatable-drag-handle {
	-webkit-box-shadow: none;
	box-shadow: none;
	border-bottom-right-radius: 0;
}

th.datatable-drag-handle + th {
	-webkit-box-shadow: none;
	box-shadow: none;
	padding-right: 29px;
	border-bottom-left-radius: 0;
}

tbody td.datatable-drag-handle:after {
	content: '\f0dc';
	font-family: FontAwesome;
	font-weight: normal;
	font-size: 14px !important;
	font-size: inherit;
	text-rendering: auto;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
    overflow: visible;
    text-indent: 0;
    color: #666666;
    padding: 5px 3px 5px 2px;
    transition: color 0.5s, text-shadow 0.5s;
}

body td.datatable-drag-handle:hover:after,
body .ui-sortable-helper td.datatable-drag-handle:after {
	color: #2399E5;
	-webkit-text-shadow: 0 0 10px rgba(35, 153, 229, 0.75);
	text-shadow: 0 0 10px rgba(35, 153, 229, 0.75);
}

body tbody tr.ui-state-highlight td.datatable-drag-handle:after {
	color: #FFFFFF;
}

body .ui-sortable-helper {
	opacity: 0.85;
}

body .ui-sortable-helper span.ui-column-title {
	display: none;
}

body .ui-sortable-helper * {
	cursor: none !important;
}

body .ui-sortable-helper td.datatable-drag-handle {
	width: 15px !important;
}

@media only screen and (max-width: 640px) {
	body .ui-datatable-reflow td.datatable-drag-handle {
		min-width: 25px !important;
		padding-top: 0 !important;
		padding-bottom: 6px !important;
		-webkit-box-shadow: inset -6px -5px 8px -7px rgba(0, 0, 0, 0.5);
		box-shadow: inset -6px -5px 8px -7px rgba(0, 0, 0, 0.5);
	}

	body .ui-datatable-reflow td.datatable-drag-handle:after {
		display: block;
		margin-top: -10px;
	}
}

body .ui-datatable-rowordering.ui-state-active {
	height: 3px !important;
}

body .ui-datatable-rowordering.ui-state-active > td {
	border: none !important;
}

@media(min-width: 641px) {
	.column-text-center {
		text-align: center;
	}
}

body .ui-datatable-rowordering.ui-state-active > td {
	border: 1px solid #CCCCCC;
}

body .ui-datatable .ui-column-filter {
	width: 100%;
	box-sizing: border-box;
}

body .ui-datatable tr.ui-widget-header {
	background: #f0f5f9;
	border-top: 2px solid #CCCCCC;
}

body .ui-datatable tr.ui-widget-header > td {
	padding-top: 0;
	padding-bottom: 0;
	-webkit-box-shadow: 0 -2px 6px rgba(0, 0, 0, 0.15);
	box-shadow: 0 -2px 6px rgba(0, 0, 0, 0.15);
}

body .ui-datatable table.hidden-group-row tr.ui-widget-header {
	display: none;
}

body .ui-icon-seek-first {
	background-position: -80px -157px;
}

body .ui-icon-seek-prev {
	background-position: -48px -157px;
}

body .ui-icon-seek-next {
	background-position: -32px -157px;
}

body .ui-icon-seek-end {
	background-position: -64px -157px;
}

body .ui-row-editor .ui-icon {
	background: none;
	font-family: FontAwesome;
	text-indent: initial;
	overflow: visible;
	width: auto;
	height: auto;
	margin-right: 10px;
}

body .ui-row-editor .ui-icon.ui-icon-pencil:after {
	content: '\f040';
}

body .ui-row-editor .ui-icon.ui-icon-check:after {
	content: '\f00c';
}

body .ui-row-editor .ui-icon.ui-icon-close:after {
	content: '\f00d';
}

body .ui-editable-column {
	font-size: 0;
}

body .ui-editable-column .ui-cell-editor {
	font-size: 13px;
}

body .ui-cell-editor-input {
	padding: 5px;
}

.rowEditorColumn {
	width: 90px;
	font-size: 18px;
}

.rowEditorColumn a:hover {
	text-decoration: none;
}

body .ui-state-highlight .rowEditorColumn * {
	color: #FFFFFF;
}

td.row-toggler {
	text-align: left;
	width: 50px;
}

.row-toggler .ui-column-title {
	display: none !important;
}

body .ui-datatable .ui-datatable-data>tr .row-toggler .ui-row-toggler.ui-icon {
	font-size: 2.5em;
}

/* ----------------------------------------
06) Components
---------------------------------------- */

body .ui-messages .ui-messages-error,
body .ui-message.ui-message-error,
body .ui-growl .ui-growl-item-container.ui-growl-error {
	background-color: #df2726;
	color: #fff;
}

body .ui-messages .ui-messages-error .ui-messages-error-icon,
body .ui-message.ui-message-error .ui-message-error-icon,
body .ui-growl .ui-growl-item-container.ui-growl-error .ui-growl-image {
	color: #fff;
}

body .ui-growl .ui-growl-item-container .ui-growl-image {
	margin-left: -10px;
	margin-right: 10px;
}

body .ui-messages:empty,
body .ui-message:empty {
	display: none;
}

body .ui-messages {
	margin-top: 0;
}

/* ----------------------------------------
06.1) Radio button
---------------------------------------- */

body .ui-selectoneradio label {
	margin-left: 5px;
	margin-right: 10px;
}

body .ui-selectbooleancheckbox + label {
	margin-left: 10px;
	display: inline;
}

body .ui-selectoneradio td,
body .ui-selectmanycheckbox td {
	display: flex;
}

/* ----------------------------------------
06.9) Auto complete
---------------------------------------- */

.ui-autocomplete-panel {
	z-index: 2000 !important;
}

.ui-autocomplete.form-control {
	padding: 0;
	border: none;

	display: -webkit-flex;
	display: -ms-flexbox;
	display: -webkit-box;
	display: flex;
	flex-direction: row;

	height: auto;
}

.ui-autocomplete.form-control .ui-autocomplete-multiple-container {
	width: 100%;
}

.ui-autocomplete.form-control .ui-autocomplete-multiple-container .ui-autocomplete-token-label {
	font-size: 14px;
}

.input-group .ui-autocomplete.form-control .ui-autocomplete-input,
.input-group .ui-autocomplete.form-control .ui-autocomplete-multiple-container {
	border-radius: 0;
}

/* ----------------------------------------
06.9) Trees
---------------------------------------- */

.ui-tree {
	width: 100%;
}

.ui-tree .ui-chkbox-box {
	margin-right: 10px;
}

.ui-tree .fa {
	margin-top: 3px;
	color: #FDDE78;
}

.ui-menu.ui-contextmenu {
	width: auto;
}

.ui-menu.ui-contextmenu > ul > li > a {
	padding-left: 10px !important;
	padding-right: 10px !important;
	box-sizing: border-box;
}

.newRootTreeNode {
	text-decoration: none;
	margin-left: 22px;
	color: #177EE5;
}

.newRootTreeNode > span.fa {
	margin-right: 3px;
}

.newRootTreeNode:hover {
	text-decoration: underline;
}

/* ----------------------------------------
09) Ajax activity overlay
---------------------------------------- */

@keyframes overlayFadeIn {
      0%   { opacity: 0; }
     30%   { opacity: 0; }
    100%   { opacity: 1; }
}

@-moz-keyframes overlayFadeIn {
      0%   { opacity: 0; }
     30%   { opacity: 0; }
    100%   { opacity: 1; }
}

@-webkit-keyframes overlayFadeIn {
      0%   { opacity: 0; }
     30%   { opacity: 0; }
    100%   { opacity: 1; }
}

@-ms-keyframes overlayFadeIn {
      0%   { opacity: 0; }
     30%   { opacity: 0; }
    100%   { opacity: 1; }
}

#ajaxOverlay {
	display: block;
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	z-index: 2147483647;
	position: fixed;
	background-color: rgba(255, 255, 255, 0.5);
	text-align: center;
	cursor: wait;
	-webkit-animation: overlayFadeIn 5s;
	-moz-animation: overlayFadeIn 5s;
	-ms-animation: overlayFadeIn 5s;
	-o-animation: overlayFadeIn 5s;
	animation: overlayFadeIn 5s;
}

#ajaxOverlay > .fa {
	position: absolute;
	top: 50%;
	left: 50%;
	margin-top: -24px;
	margin-left: -24px;
	color: rgba(0, 0, 0, 0.5);
}

/* ----------------------------------------
10) Scroll Up
---------------------------------------- */

#scrollUp {
    background: #262b32 none repeat scroll 0 0;
    border: 1px solid #ffffff;
    border-radius: 100%;
    bottom: 30px;
    color: #ffffff;
    height: 35px;
    line-height: 35px;
    position: fixed;
    right: 30px;
    text-align: center;
    width: 35px;
    transition: all 300ms ease 0s
}

#scrollUp:hover {
    background: #84AAC6;
    color: #333;
}

/* ----------------------------------------
11) Cookie panel
---------------------------------------- */

.cookieAcceptPanel {
	position: fixed;
	left: 0;
	bottom: 0;
	width: 100%;
	background-color: rgba(0, 0, 0, 0.75);
	font-size: 18px;
	color: #ffffff;
	text-align: center;
	padding: 10px;
	z-index: 1100;
}

.cookieAcceptPanel .row {
	margin-left: 0;
	margin-right: 15px;
}

.cookieAcceptPanel .row > div:first-child {
	margin-top: 8px;
}

.form-image-center > img {
	display: block;
	margin: auto;
}

body .ui-dialog {
	z-index: 1022 !important
}

body .ui-dialog-mask {
	z-index: 1021 !important
}

body .ui-sidebar-close {
	position: absolute;
	right: 15px;
	top: 15px;
	border: 1px solid #ccc !important;
	border-radius: 50%;
	width: 30px;
	height: 30px;
	text-align: center;
}

.p-sidebar {
	width: 80%;
}

@media only screen and (max-width: 767px) {
	.p-sidebar {
		width: 100%;
	}
}

/* ----------------------------------------
07) Code Mirror
---------------------------------------- */

.cm-s-eclipse .CodeMirror-matchingbracket {
	outline-color: #ccc;
}

.CodeMirror {
	box-shadow: 0 0 3px rgba(0, 0, 0, 0.25);
	border-radius: 2px;
	height: auto;
	font-size: 13px;
}

.CodeMirror-scroll {
	height: auto;
}

.CodeMirror-scrollbar {
	overflow-y: auto;
}

.ui-inputnumber.form-control {
	padding: 0;
	border: none;
}

.ui-inputnumber.form-control > input {
	width: 100%;
}

.input-group-append > .ui-inputnumber.form-control > input {
	border-top-right-radius: 0;
	border-bottom-right-radius: 0;
}

.input-group-append > .ui-inputnumber.form-control + button {
	border-top-left-radius: 0;
	border-bottom-left-radius: 0;
}

.mdi {
	font-size: 1.5rem;
}

.nav-link {
	padding-top: 0;
	padding-bottom: 0;
	min-height: 36px;
}

.clear-accordion.ui-accordion .ui-accordion-header {
	background: transparent !important;
	color: #fefefe !important;
	border: none !important;
	box-shadow: 0 3px 4px -2px rgba(0, 0, 0, 0.25);
}

.clear-accordion.ui-accordion .ui-accordion-content {
	background: none;
	border: none;
	padding: 0 0 0 0.5rem;
}

.clear-accordion.ui-accordion .ui-accordion-header > .ui-icon.ui-icon-triangle-1-e {
	color: #fefefe;
}

.majorTrait {
	font-size: 0.8rem;
	color: #666;
	font-style: italic;
}

@media only screen and (min-width: 768px) {
	.chargeDetailsView {
		max-width: calc(100vw - 320px);
	}
}

.modal100 {
	max-width: 100%;
}

@media only screen and (min-width: 992px) {
	.modal100 {
		max-width: 90%;
	}
}

.toggleIcon {
	color: #737373;
}

.toggleIcon:hover,
.toggleIcon:active {
	color: #333;
}

body .inplace-no-padding .ui-inplace-display {
	padding: 0;
}

.qrCodeLink img {
	max-width: 120px !important;
	height: auto !important;
	margin: -10px;
}